@font-face {
    font-family: Montserrat;
    src: url(../fonts/Montserrat-VariableFont_wght.ttf);
}

:root {
    --bg: #e6e6fa;

    --bbh-gold:         #afa24c;
    --bbh-accent:       #402f1c;
    --bbh-accent-light: #5c482a;

    --x-dark:      #000;
    --dark:        #333;
    --muted:       #666;
    --faint:       #999;
    --faint-light: #bbb;
    --light:       #f4f4f4;
    --x-light:     #fff;

    --def-transition: all .25s linear;
    --def-box-shadow: rgba(9, 30, 66, 0.25) 0px 1px 1px, rgba(9, 30, 66, 0.13) 0px 0px 1px 1px;

    --space-xs: 8px;
    --space-s:  16px;
    --space-m:  32px;
    --space-l:  64px;
    --space-xl: 128px;
}

:focus-visible { outline: 3px solid #cfc46e; transition: none !important; }
html { box-sizing: border-box; height: 100%; scroll-behavior: smooth; }
*,*:before,*:after { box-sizing: inherit; }
body {
    font-family: 'Montserrat', sans-serif;
    font-weight: 450;
    margin: 0;
    background-color: var(--bg);
    line-height: 1.5;
}
img,picture,video,canvas,svg { display: block; max-width: 100%; }
body,h1,h2,h3,h4,h5,h6,p,figure,blockquote,dl,dd { margin: 0; }
h1,h2,h3,h4,h5,h6 { font-weight: normal; padding: 0; }
p { font-weight: 400; padding: 0; margin: 0; }
input,button,textarea,select { font: inherit; }

/*-------------------------------------------------------------------------------------------------------------------*/
                                          /* -- scrollbar styling -- */
/*-------------------------------------------------------------------------------------------------------------------*/

/*
  Below Webkit is used to make Chrome's scrollbars look better.
  These can be used (scrollbar-width: thin; scrollbar-color: #444 transparent;)
  but this will have to be applied to every element where overflow is expected
  and it makes firefox's scrollbar look glitched/broken.
  Below Webkit only affects Chrome and only needs to be in the CSS file to work
  on every overflow.
*/
::-webkit-scrollbar {
    width: 3px;
    height: 5px;
}
::-webkit-scrollbar-thumb {
    background-color: #666;
    border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
    background-color: #888;
    cursor: grab;
}
::-webkit-scrollbar-thumb:active { cursor: grabbing; }
::-webkit-scrollbar-track {
    background-color: transparent;
    border-radius: 10px;
}
::-webkit-scrollbar-track:hover { background-color: #333; }
::-webkit-scrollbar-corner { background-color: transparent; }

/*-------------------------------------------------------------------------------------------------------------------*/
                                                 /* -- animations -- */
/*-------------------------------------------------------------------------------------------------------------------*/

@keyframes fade-out-up {
    from {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
    to {
        opacity: 0;
        transform: translate3d(0, -24px, 0);
    }
}

@keyframes fade-out-down {
    from {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
    to {
        opacity: 0;
        transform: translate3d(0, 24px, 0);
    }
}

@keyframes fade-out-left {
    from {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
    to {
        opacity: 0;
        transform: translate3d(-24px, 0, 0);
    }
}

@keyframes fade-out-right {
    from {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
    to {
        opacity: 0;
        transform: translate3d(24px, 0, 0);
    }
}

@keyframes fade-in-up {
    from {
        opacity: 0;
        transform: translate3d(0, 24px, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

@keyframes fade-in-down {
    from {
        opacity: 0;
        transform: translate3d(0, -24px, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

@keyframes fade-in-left {
    from {
        opacity: 0;
        transform: translate3d(24px, 0, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

@keyframes fade-in-right {
    from {
        opacity: 0;
        transform: translate3d(-24px, 0, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

/*-------------------------------------------------------------------------------------------------------------------*/

.navbar-wrapper {
    width: 100%;
    top: 0;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    z-index: 9999;
    transition: var(--def-transition);
    height: 112px;
    background-color: rgba(0,0,0,0.01);
}
.navbar-wrapper.index { background-color: rgba(0,0,0,.3); }
.navbar-wrapper.scrolled {
    background-color: var(--bbh-gold);
    box-shadow: var(--def-box-shadow);
}

.navbar {
    display: grid;
    grid-template-columns: 1fr 72px;
    transition: var(--def-transition);
    max-width: 1200px;
    width: 100%;
    height: 112px;
    padding: 0 .5em;
    align-items: center;
    justify-content: space-between;
}

.navbar-left-container {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.navbar-title {
    font-weight: 450;
    font-size: 1.7em;
    color: #fcf1f1;
    text-shadow: var(--bbh-accent) 2px 2px 4px;
}
.navbar-title.app {
    font-size: 1em;
    color: var(--x-dark);
    text-shadow: none;
}

.navbar-logo-img-container {
    width:  80px;
    height: 80px;
    flex-shrink: 0;
    position: relative;
}
.navbar-logo-img-container.app {
    width:  40px;
    height: 40px;
    flex-shrink: 0;
    position: relative;
}

.navbar-logo-img-container a {
    inset: 0;
    position: absolute;
}

.navbar-logo-img-container img {
    max-width: 100%;
    max-height: 100%;
}

.navbar-logo-link {
    width: max-content;
    cursor: pointer;
    border-radius: 8px;
    padding: 0 .25em;
    transition: var(--def-transition);
}

.navbar-logo {
    width: 7em;
    height: 3em;
}

.navbar-links {
    display: none;
    width: max-content;
    max-width: 400px;
    margin: 0 auto;
    align-items: center;
}

.navbar-item {
    transition: var(--def-transition);
    position: relative;
    margin: 0 16px;
}

.navbar-item:has(:focus-within) .navbar-submenu-container {
    transform: translateX(-50%) translateY(0);
    opacity: 1;
    pointer-events: auto;
}
.navbar-item:has(:focus-within) .navbar-link-arrow-container { transform: rotate(180deg); }
.navbar-item:has(:focus-within) .navbar-link { box-shadow: var(--def-box-shadow); }

.navbar-link {
    padding: 5px 10px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    font-size: 1.1em;
    text-decoration: none;
    color: var(--dark);
    font-weight: 450;
    transition: var(--def-transition);
}
.navbar-link.current { box-shadow: var(--def-box-shadow); }

.navbar-link-arrow-container {
    margin: 3px 0 0 8px;
    transition: var(--def-transition);
}
.navbar-link-arrow-container svg {
    width:  13px;
    height: 13px;
}
.navbar-link-arrow-container svg { fill: var(--dark); }

.navbar-submenu-container {
    pointer-events: none;
    transform: translateX(-50%) translateY(-10px);
    opacity: 0;
    transition: var(--def-transition);
    position: absolute;
    left: 50%;
    padding-top: 25px;
}

.navbar-submenu {
    background-color: #fff;
    border-radius: 5px;
    padding: .25em .5em;
    max-height: 300px;
    overflow: scroll;
    box-shadow: var(--def-box-shadow);
}

.navbar-submenu-item { margin-top: 8px; }
.navbar-submenu-item:last-of-type { margin: 8px 0; }

.navbar-submenu-link {
    display: block;
    padding: .5em;
    border-radius: 5px;
    text-wrap: nowrap;
    text-decoration: none;
    color: var(--dark);
    font-weight: 450;
    transition: var(--def-transition);
    cursor: pointer;
    user-select: none;
}
.navbar-submenu-link:focus {
    box-shadow: var(--def-box-shadow);
    color: var(--x-dark);
}

.navbar-action {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.hamburger {
    -webkit-tap-highlight-color: transparent;
    cursor: pointer;
}
.hamburger input { display: none; }
.hamburger svg {
    height: 3em;
    transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.hamburger .line {
    fill: none;
    stroke: var(--bbh-gold);
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-width: 3;
    transition: stroke-dasharray 250ms cubic-bezier(0.4, 0, 0.2, 1),
    stroke-dashoffset 250ms cubic-bezier(0.4, 0, 0.2, 1),
    stroke 0.25s linear;
}
.line-top-bottom { stroke-dasharray: 12 63; }
.hamburger input:checked + svg .line { stroke: var(--x-dark); }
.hamburger input:checked + svg { transform: rotate(-45deg); }
.hamburger input:checked + svg .line-top-bottom {
    stroke-dasharray: 20 300;
    stroke-dashoffset: -32.42;
}
.hamburger.scrolled input + svg .line { stroke: var(--x-light); }


.side-menu-wrapper {
    z-index: 95;
    position: fixed;
    inset: 0;
    transition: var(--def-transition);
}
.side-menu-wrapper.dim { background-color: rgba(0,0,0,.5); }

.side-menu-container {
    z-index: 96;
    position: fixed;
    right: 0;
    height: 100%;
    transform: translateX(100%);
    transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    will-change: transform;
    background-color: var(--bbh-gold);
    width: 256px;
    border-left: 1px solid var(--bbh-gold);
}
.side-menu-container.open { transform: translateX(0); }

.side-menu {
    height: 100%;
    overflow: scroll;
    padding: 96px 8px 16px 8px;
    user-select: none;
}

.side-menu-items-container {
    max-width: 256px;
    width: 100%;
}

.side-menu-section-title {
    font-size: 1.2em;
    padding: 10px 10px 0 5px;
    margin: 1.2em 0 0 auto;
    font-weight: 450;
    color: var(--muted);
}
.side-menu-section-title:first-of-type { margin: .8em 0 0 auto; }

.side-menu-item {
    margin: .5em 0;
    border-radius: 5px;
    transition: var(--def-transition);
}
.side-menu-item.current { box-shadow: var(--def-box-shadow); }
.side-menu-item > a {
    display: inline-block;
    margin-left: 3px;
    padding: .5em;
    width: 100%;
    height: 100%;
    color: var(--x-dark);
    text-decoration: none;
    cursor: pointer;
    font-weight: 800;
    font-size: 1.5em;
    transition: var(--def-transition);
}

.hero {
    margin: 0 auto;
    max-width: 1200px;
    width: 100%;
    position: relative;
    height: 100vh;
    max-height: 1080px;
    min-height: 624px;
    z-index: 10;
    overflow: hidden;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.hero-title-container { padding: 128px 24px 0 24px; }

.hero-title {
    position: relative;
    z-index: 15;
    text-align: center;
    text-shadow: 0 4px 10px rgba(0,0,0,.8);
    font-size: 2.5em;
    font-weight: 450;
    color: var(--x-light);
}

.hero-title-separator {
    position: relative;
    z-index: 15;
    width: 60px;
    height: 4px;
    background-color: red;
    margin: 20px auto;
    border-radius: 5px;
}

.hero-description {
    margin: 16px auto 0 auto;
    max-width: 310px;
    text-align: center;
    position: relative;
    z-index: 15;
    font-size: 1.1em;
    font-weight: 450;
    color: var(--x-light);
    text-shadow: 0 4px 10px rgba(0,0,0,.8);
}

.main-container {
    margin: 0 auto;
    max-width: 1200px;
}

.section {
    --text: var(--x-dark);
    color: var(--text);
}
.section.rounded-top { border-radius: 30px 30px 0 0; }
.section.rounded-bot { border-radius: 0 0 30px 30px; }
.section.rounded     { border-radius: 30px; }
.section.gold  { background-color: var(--bbh-gold); }
.section.dark  { --text: var(--x-light); }
.section.light {
    background-color: var(--x-light);
    --text: var(--x-dark);
}

.section-title {
    font-weight: 800;
    font-size: 1.3em;
    text-align: center;
    color: var(--text);
}
.section-title.gold { color: var(--bbh-gold); }
.section-title.light { color: var(--x-light); }

.section-link-container {
    width: 100%;
    display: flex;
    justify-content: center;
    padding-top: var(--space-s);
}
.section-link-container.left { justify-content: flex-start; }

.section-link {
    display: flex;
    border: none;
    font-size: 1.3em;
    text-decoration: none;
    border-radius: 30px;
    padding: .5em .85em;
    font-weight: 550;
    transition: var(--def-transition);
    cursor: pointer;
    user-select: none;
    -webkit-tap-highlight-color: transparent;
}

.section-link.accent {
    background-color: var(--bbh-accent);
    color: var(--x-light);
}
.section-link.accent:focus-visible, .section-link.accent:active { background-color: var(--bbh-accent-light); }

.section-link-icon-container {
    display: flex;
    align-items: center;
    margin-left: 10px;
}

.section-link-icon {
    fill: var(--x-light);
    width:  16px;
    height: 16px;
    transition: var(--def-transition);
}

.swiper-hero { height: 100vh; }

.swiper-fade-wrapper {
    position: relative;
    width: 100%;
}

.swiper-fade-wrapper::before,
.swiper-fade-wrapper::after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    width: 10px;
    z-index: 5;
    pointer-events: none;
}

.swiper-fade-wrapper::before { left: 0; }
.swiper-fade-wrapper::after { right: 0; }

.swiper-fade-wrapper.dark::before { background: linear-gradient(to right, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, .8) 50%, rgba(0, 0, 0, 0) 100%); }
.swiper-fade-wrapper.dark::after  { background: linear-gradient(to left,  rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, .8) 50%, rgba(0, 0, 0, 0) 100%); }

.swiper-fade-wrapper.light::before { background: linear-gradient(to right, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, .8) 50%, rgba(255, 255, 255, 0) 100%); }
.swiper-fade-wrapper.light::after  { background: linear-gradient(to left,  rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, .8) 50%, rgba(255, 255, 255, 0) 100%); }

.swiper-slide { height: auto !important; }
.swiper-slide.testimonials, .swiper-slide.prod { width: 280px !important; }
.swiper-slide.products {
    width: 100%;
    max-width: 544px !important;
    margin: 8px;
}

.swiper-pagination {
    margin: 0 auto;
    padding: 5px 0;
    position: static !important;
}

.swiper-pagination-bullets { transform: unset !important; }

.swiper-pagination-bullet {
    background-color: var(--faint-light) !important;
    margin: 0 2px !important;
    transition: var(--def-transition);
}

.swiper-pagination-bullet-active {
    background-color: red !important;
    margin: 0 2px !important;
    transition: var(--def-transition);
}

.swiper-pagination-container { margin: 10px auto 0 auto; }

.swiper-pagination-buttons-container {
    max-width: 150px;
    margin: 4px auto 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.swiper-btn {
    width: max-content;
    height: max-content;
    border-radius: 50%;
    padding: 0;
    margin: 10px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
}
.swiper-btn.dark .swiper-btn-icon { fill: var(--dark); }
.swiper-btn.light .swiper-btn-icon { fill: var(--light); }

.swiper-btn.dark:focus-visible .swiper-btn-icon, .swiper-btn.light:focus-visible .swiper-btn-icon { transform: scale(0.9); }
.swiper-btn.dark:active .swiper-btn-icon, .swiper-btn.light:active .swiper-btn-icon { transform: scale(0.9); }

.swiper-btn.dark:active .swiper-btn-icon, .swiper-btn.light:active .swiper-btn-icon { fill: red; }

.swiper-btn[class*="prev-btn-"] { display: none; }
.swiper-btn[class*="next-btn-"] { display: none; }

.swiper-btn-icon {
    width:  24px;
    height: 26px;
    transition: var(--def-transition);
}

footer {}

.footer-sections-container {
    margin: 24px auto 0 auto;
    max-width: 1200px;
}

.footer-section {
    height: 272px;
    width: 100%;
}

.footer-section-title {
    font-size: 1.5em;
    font-weight: 800;
    color: var(--x-light);
}

.footer-section.first {
    padding: 16px;
    background-color: var(--bbh-accent);
    overflow: hidden;
}
.footer-details-container { padding-top: 16px; }

.footer-detail-container {
    display: flex;
    align-items: center;
    margin: 8px 0;
}

.footer-detail-icon-container {
    margin-right: 12px;
}

.footer-detail-icon {
    width: 16px;
    height: 16px;
    fill: var(--x-light);
}

.footer-detail-text {
    font-size: .9em;
    font-weight: 450;
    color: var(--x-light);
}

.footer-detail-text a {
    text-decoration: none;
    color: var(--x-light);
}

.footer-map {
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
}
.footer-map.content-page {
    padding: 16px;
    border-radius: 24px;
    max-width: 1200px;
    height: 320px;
}
.content-page-footer {
    display: flex;
    justify-content: center;
}

.footer-content { padding: 16px 8px; }

.footer-content-title {
    text-wrap: nowrap;
    font-weight: 450;
    text-align: center;
    font-size: 1.1em;
    color: var(--faint-light);
}

.footer-content-item {
    font-weight: 450;
    text-align: center;
    color: var(--light);
    font-size: 1.5em;
}
.footer-content-item.hours { font-size: 1.5em; }
.footer-content-item.contact {
    font-size: 1.3em;
    margin-top: 5px;
}
.footer-content-item.address {
    color: var(--faint-light);
    font-size: 1.1em;
}

.footer-contact-button-container {
    width: 225px;
    margin-top: 16px;
}

.footer-contact-button {
    border: none;
    font-size: 1.3em;
    text-decoration: none;
    border-radius: 32px;
    padding: .5em .85em;
    font-weight: 550;
    transition: var(--def-transition);
    cursor: pointer;
    user-select: none;
    -webkit-tap-highlight-color: transparent;
    background-color: var(--x-dark);
    color: var(--light);
}
.footer-contact-button:focus-visible, .footer-contact-button:active {
    background-color: var(--x-light);
    color: var(--x-dark);
}

@keyframes fade-out-down-contact-footer {
    from {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
    to {
        opacity: 0;
        transform: translate3d(0, 150px, 0);
    }
}

.footer-contact-details-container { animation: fade-in-up .5s; }

.footer-bottom-section {
    margin: 0 auto;
    max-width: 1200px;
    padding: 8px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.footer-copyright-container {
    margin: 0 auto;
    padding: 0 8px;
    text-wrap: nowrap;
    color: var(--muted);
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 450;
}
.footer-copyright-icon {
    font-size: 1.5em;
    font-weight: 550;
    margin-right: 4px;
}

.back-btn-container {
    padding: 128px 16px 0;
    max-width: 1200px;
    margin: 0 auto;
}

.back-btn {
    display: flex;
    border: none;
    text-decoration: none;
    font-size: 1em;
    border-radius: 32px;
    padding: 8px 16px;
    font-weight: 550;
    transition: var(--def-transition);
    cursor: pointer;
    user-select: none;
    -webkit-tap-highlight-color: transparent;
    color: var(--x-dark);
    background-color: var(--bbh-gold);
    width: max-content;
}

.back-btn-icon-container {
    display: flex;
    align-items: center;
    margin-right: 8px;
}

.back-btn-icon {
    transform: rotateY(180deg);
    fill: var(--x-dark);
    width:  16px;
    height: 16px;
    transition: var(--def-transition);
}

.loader-modal {
    background-color: transparent;
    outline: none;
    border: none;
    overflow: hidden;
}
.loader-modal::backdrop { background-color: rgba(0, 0, 0, .9); }

.loader {
    width: 48px;
    height: 48px;
    /*border: 3px dotted #ccc;*/
    border: 3px dotted var(--bbh-gold);
    border-style: solid solid dotted dotted;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    box-sizing: border-box;
    animation: rotation 2s linear infinite;
}
.loader::after {
    content: "";
    box-sizing: border-box;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    border: 3px dotted #ccc;
    border-style: solid solid dotted;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    animation: rotationBack 1s linear infinite;
    transform-origin: center center;
}

@keyframes rotation {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
@keyframes rotationBack {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(-360deg); }
}

/*-------------------------------------------------------------------------------------------------------------------*/
                                                    /* -- utils -- */
/*-------------------------------------------------------------------------------------------------------------------*/

/* --- padding --- */

.pt-xs { padding-top: var(--space-xs); }
.pt-s  { padding-top: var(--space-s);  }
.pt-m  { padding-top: var(--space-m);  }
.pt-l  { padding-top: var(--space-l);  }
.pt-xl { padding-top: var(--space-xl); }

.pb-xs { padding-bottom: var(--space-xs); }
.pb-s  { padding-bottom: var(--space-s);  }
.pb-m  { padding-bottom: var(--space-m);  }
.pb-l  { padding-bottom: var(--space-l);  }
.pb-xl { padding-bottom: var(--space-xl); }

.py-xs { padding-top: var(--space-s); padding-bottom: var(--space-xs); }
.py-s  { padding-top: var(--space-s); padding-bottom: var(--space-s);  }
.py-m  { padding-top: var(--space-m); padding-bottom: var(--space-m);  }
.py-l  { padding-top: var(--space-l); padding-bottom: var(--space-l);  }
.py-xl { padding-top: var(--space-l); padding-bottom: var(--space-xl); }

.px-xs { padding-left: var(--space-s); padding-right: var(--space-xs); }
.px-s  { padding-left: var(--space-s); padding-right: var(--space-s);  }
.px-m  { padding-left: var(--space-m); padding-right: var(--space-m);  }
.px-l  { padding-left: var(--space-l); padding-right: var(--space-l);  }
.px-xl { padding-left: var(--space-l); padding-right: var(--space-xl); }

.p-xs { padding: var(--space-xs); }
.p-s  { padding: var(--space-s);  }
.p-m  { padding: var(--space-m);  }
.p-l  { padding: var(--space-l);  }
.p-xl { padding: var(--space-xl); }

/* --- margin --- */

.mt-xs { margin-top: var(--space-xs); }
.mt-s  { margin-top: var(--space-s);  }
.mt-m  { margin-top: var(--space-m);  }
.mt-l  { margin-top: var(--space-l);  }
.mt-xl { margin-top: var(--space-xl); }

.mb-xs { margin-bottom: var(--space-xs); }
.mb-s  { margin-bottom: var(--space-s);  }
.mb-m  { margin-bottom: var(--space-m);  }
.mb-l  { margin-bottom: var(--space-l);  }
.mb-xl { margin-bottom: var(--space-xl); }

.my-xs { margin-top: var(--space-s); margin-bottom: var(--space-xs); }
.my-s  { margin-top: var(--space-s); margin-bottom: var(--space-s);  }
.my-m  { margin-top: var(--space-m); margin-bottom: var(--space-m);  }
.my-l  { margin-top: var(--space-l); margin-bottom: var(--space-l);  }
.my-xl { margin-top: var(--space-l); margin-bottom: var(--space-xl); }

.mx-xs { margin-left: var(--space-s); margin-right: var(--space-xs); }
.mx-s  { margin-left: var(--space-s); margin-right: var(--space-s);  }
.mx-m  { margin-left: var(--space-m); margin-right: var(--space-m);  }
.mx-l  { margin-left: var(--space-l); margin-right: var(--space-l);  }
.mx-xl { margin-left: var(--space-l); margin-right: var(--space-xl); }

.m-xs { margin: var(--space-xs); }
.m-s  { margin: var(--space-s);  }
.m-m  { margin: var(--space-m);  }
.m-l  { margin: var(--space-l);  }
.m-xl { margin: var(--space-xl); }

#about, #whatAndWhere { scroll-margin-top: 148px; }
#formMessage { scroll-margin-top: 220px; }

.text-align-left   { text-align: left; }
.text-align-center { text-align: center; }
.text-align-right  { text-align: right; }

.fw-450 { font-weight: 450; }
.fw-550 { font-weight: 550; }

.fs-2 { font-size: 2em; }
.fs-3 { font-size: 3em; }

.pointer { cursor: pointer; }
.pointer-events-none { pointer-events: none; }

.no-tap-highlight { -webkit-tap-highlight-color: transparent; }
.text-decoration-none { text-decoration: none; }
.hidden { display: none !important; }
.invisible { opacity: 0; }
.select-none { user-select: none; }
.lock-body { overflow: hidden; }
.uppercase { text-transform: uppercase; }

/*-------------------------------------------------------------------------------------------------------------------*/
                             /* -- Mobile first approach using new breakpoints -- */
/*-------------------------------------------------------------------------------------------------------------------*/

@media (min-width: 375px) {}

@media (min-width: 576px) {
    .navbar-title { font-size: 2.2em; }
    .navbar-title.app { font-size: 1.5em; }

    .footer-sections-container { display: flex }
    .footer-section { max-width: 600px; }

    .footer-section-title { font-size: 1.7em; }
    .footer-section { height: 304px }
    .footer-section.first { border-radius: 16px 0 0 16px; }
    .footer-section.last { border-radius: 0 16px 16px 0; }

}

@media (min-width: 768px) {
    .navbar-title { font-size: 3em; }
    .navbar-title.app { font-size: 2em; }
    .navbar-links { display: flex; }

    .swiper-pagination-buttons-container { justify-content: space-between; }
    .swiper-btn[class*="prev-btn-"] { display: block; }
    .swiper-btn[class*="next-btn-"] { display: block; }

    .input-section {
        flex-wrap: nowrap;
        justify-content: space-between;
    }

    .back-btn {
        font-size: 1.5em;
        padding: 8px 16px;
    }
    .back-btn-icon-container {
        margin-right: 8px;
    }
    .back-btn-icon {
        width:  24px;
        height: 24px;
    }

    .footer-copyright-container { margin: 0; }
    .footer-detail-text { font-size: 1em; }
    .footer-section {  }
    .footer-section-title { font-size: 2em; }
}

@media (min-width: 992px) {
    .hero-title { font-size: 4em; }
    .hero-description { font-size: 1.4em; }

    .footer-section.first { padding: 16px 48px 16px 16px; }
}

@media (min-width: 1036px) {
    .footer-section.first { padding: 16px 120px 16px 16px; }

}
@media (min-width: 1200px) {
    .side-menu-container { width: calc(50vw - 328px); }
}

@media (hover: hover) {
    .navbar-logo-link:hover { box-shadow: var(--def-box-shadow); }

    .navbar-item:hover .navbar-submenu-container {
        transform: translateX(-50%) translateY(0);
        opacity: 1;
        pointer-events: auto;
    }
    .navbar-item:hover .navbar-link-arrow-container { transform: rotate(180deg); }
    .navbar-item:hover .navbar-link { box-shadow: var(--def-box-shadow); }
    .navbar-submenu-link:hover {
        box-shadow: var(--def-box-shadow);
        color: var(--x-dark);
    }

    .section-link.accent:hover { background-color: var(--bbh-accent-light); }

    .side-menu-item:hover { box-shadow: var(--def-box-shadow); }

    .footer-detail-text a:hover { text-decoration: underline; }

    .footer-contact-button:hover {
        background-color: var(--x-light);
        color: var(--x-dark);
    }

    .back-btn:hover { filter: brightness(1.1); }
}